Version 3.5 breaks admin | WordPress.org

Version 3.5 of

Causes the admin to throw a critical error when trying to edit any wordpress page, post, woocommerce order, coupon … any worpdress edit page causes the error.

in the error log I tracked it down to your plugin and it started when updating to 3.5.

Error Details
=============
An error of type E_ERROR was caused in line 188 of the file
/opt/bitnami/wordpress/wp-content/plugins/woocommerce/lib/packages/League/Container/Container.php.
Error message: Uncaught
Automaic\WooCommerce\Vendor\League\Container\Excep@on\NotFoundExcep@on:
Alias (Automaic\WooCommerce\Internal\DataStores\Orders\CustomOrdersTableController)
is not being managed by the container or delegates in
/opt/bitnami/wordpress/wp-content/plugins/woocommerce/lib/packages/League/Container/Container.php:188
Stack trace:
#0 /opt/bitnami/wordpress/wpcontent/plugins/woocommerce/src/Internal/DependencyManagement/ExtendedContainer.php(116):
Page 2 of 2
Automaic\WooCommerce\Vendor\League\Container\Container->get()
#1 /opt/bitnami/wordpress/wp-content/plugins/woocommerce/src/Container.php(80):
Automaic\WooCommerce\Internal\DependencyManagement\ExtendedContainer->get()
#2 /opt/bitnami/wordpress/wp-content/plugins/woo-advanced-shipment-tracking/includes/class-wc-advancedshipment-tracking.php(229):
Automaic\WooCommerce\Container->get()
#3 /opt/bitnami/wordpress/wp-includes/class-wp-hook.php(310):
WC_Advanced_Shipment_Tracking_Ac@ons->add_meta_box()
#4 /opt/bitnami/wordpress/wp-includes/class-wp-hook.php(332):
WP_Hook->apply_filters()
#5 /opt/bitnami/wordpress/wp-includes/plugin.php(517): WP_Hook->do_ac@on()
#6 /opt/bitnami/wordpress/wp-admin/includes/meta-boxes.php(1599): do_ac@on()
#7 /opt/bitnami/wordpress/wp-admin/edit-form-advanced.php(271):
register_and_do_post_meta_boxes()
#8 /opt/bitnami/wordpress/wp-admin/post.php(206): require('...')
#9 {main}
 thrown

WordPress version 6.1.1
Ac@ve theme: Total Child Theme (version 1.0)
Current plugin: WooCommerce (version 6.3.1)
PHP version 8.1.12

rolling the plugin back to 3.4.7 for now fixes the problem where the admin is usable again.

seems like it is an incompatibility with PHP 8.1. As I have another site running your plugin but running PHP 7.3 with almost all the same plugins, WP version and Woo version. But that site does not have the problem I am seeing here with the new 3.5 version.

  • This topic was modified 45 minutes ago by lucein.

 

This site will teach you how to build a WordPress website for beginners. We will cover everything from installing WordPress to adding pages, posts, and images to your site. You will learn how to customize your site with themes and plugins, as well as how to market your site online.

Buy WordPress Transfer